<template>
  <el-form
    :model="loginForm"
    :rules="fieldRules"
    ref="loginForm"
    label-position="left"
    label-width="0px"
    class="demo-ruleForm login-container"
  >
    <h3 class="title">义方经营数据管理系统</h3>
    <el-form-item prop="userName">
      <el-input type="text" v-model="loginForm.userName" auto-complete="off" placeholder="账号"></el-input>
    </el-form-item>
    <el-form-item prop="password">
      <el-input type="password" v-model="loginForm.password" auto-complete="off" placeholder="密码"></el-input>
    </el-form-item>
    <!-- <el-checkbox v-model="checked" checked class="remember">记住密码</el-checkbox> -->
    <el-form-item style="width:100%;">
      <!-- <el-button type="primary" style="width:48%;" @click.native.prevent="reset">重 置</el-button> -->
      <el-button
        type="primary"
        style="width:48%;margin:0 0 0 25%"
        @click.native.prevent="login"
        :loading="logining"
      >登 录</el-button>
    </el-form-item>
  </el-form>
</template>
<script>
// import Cookies from "js-cookie";
export default {
  name: "Login",
  data() {
    return {
      logining: false,
      loginForm: {
        userName: localStorage.getItem("userName")
          ? localStorage.getItem("userName")
          : "",
        password: localStorage.getItem("password")
          ? localStorage.getItem("password")
          : ""
      },
      fieldRules: {
        userName: [{ required: true, message: "请输入账号", trigger: "blur" }],
        password: [{ required: true, message: "请输入密码", trigger: "blur" }]
      },
      checked: true
    };
  },
  methods: {
    login() {
      let userInfo = {
        userName: this.loginForm.userName,
        password: this.loginForm.password
      };
      console.log(userInfo);
      this.$post("manageBase/user/login", userInfo)
        .then(response => {
          if (response.success) {
            console.log(response.data);
            // Cookies.set("token", response.data.token); // 放置token到Cookie
            sessionStorage.setItem("uid", response.data.id); // 保存用户到本地会话
            this.$router.push("/manage/query"); // 登录成功，跳转到主页
            localStorage.setItem("userName", this.loginForm.userName);
            localStorage.setItem("password", this.loginForm.password);
            localStorage.setItem("nickName", this.loginForm.nickName);
          } else {
            alert(response.message)
          }
        })
        .catch(function(res) {
          alert(res);
        });
    },
    reset() {
      this.$refs.loginForm.resetFields();
    }
  }
};
</script>
<style scoped>
.login-container {
  border-radius: 5px;
  background-clip: padding-box;
  margin: 180px auto;
  width: 350px;
  padding: 35px 35px 15px 35px;
  background: #fff;
  border: 1px solid #eaeaea;
  box-shadow: 0 0 25px #cac6c6;
}
.title {
  margin: 0px auto 40px auto;
  text-align: center;
  color: #505458;
}
.remember {
  margin: 0px 0px 35px 0px;
}
</style>


